View Issue Details

IDProjectCategoryView StatusLast Update
0005980Talerexchangepublic2020-03-31 16:04
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.6Fixed in Version0.6 
Summary0005980: consider renaming "payback" to "recoup"
DescriptionThe name "payback" is easily confused with "refund", very close to "pay", and it doesn't really describe well what the operation does.

It is also easy to confuse with "return to own bank account", since it is "paying back Taler coins" to yourself.

The dictionary definition for "recoup" is:

  "reimburse or compensate (someone) for money spent or lost."

which perfectly fits what "payback" is supposed to do.
TagsNo tags attached.

Activities

Christian Grothoff

2019-12-01 11:36

manager   ~0015105

I'm OK with changing this. Needs to be a coordinated effort, but the actual change is trivial. I assume you just assigned to me to get my feedback? Let me know if you want my actual help with the global search-and-replace ;-)

Christian Grothoff

2020-03-22 21:24

manager   ~0015460

I believe this has been completed everywhere.

Issue History

Date Modified Username Field Change
2019-12-01 01:46 Florian Dold New Issue
2019-12-01 01:46 Florian Dold Status new => assigned
2019-12-01 01:46 Florian Dold Assigned To => Christian Grothoff
2019-12-01 11:36 Christian Grothoff Note Added: 0015105
2019-12-01 11:36 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2019-12-01 11:36 Christian Grothoff Severity minor => tweak
2019-12-01 11:36 Christian Grothoff Product Version => git (master)
2019-12-01 11:36 Christian Grothoff Target Version => 0.6
2019-12-20 19:08 Christian Grothoff Target Version 0.6 => 0.7.1
2020-03-22 21:24 Christian Grothoff Status assigned => resolved
2020-03-22 21:24 Christian Grothoff Resolution open => fixed
2020-03-22 21:24 Christian Grothoff Fixed in Version => 0.6
2020-03-22 21:24 Christian Grothoff Note Added: 0015460
2020-03-22 21:24 Christian Grothoff Target Version 0.7.1 => 0.6
2020-03-31 16:04 Christian Grothoff Status resolved => closed